#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6238b2b0, "nvKmsKapiGetFunctionsTable" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x92997ed8, "_printk" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4af03a4, "drm_kms_helper_poll_fini" },
	{ 0x2684a5c5, "drm_mode_config_cleanup" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x94aa332e, "drm_kms_helper_hotplug_event" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe32de4d4, "drm_connector_list_iter_begin" },
	{ 0x77405069, "drm_connector_list_iter_next" },
	{ 0x196ea07a, "drm_connector_list_iter_end" },
	{ 0xa6b03cdd, "drmm_mode_config_init" },
	{ 0xc0784c86, "drm_mode_create_dvi_i_properties" },
	{ 0x26f178e4, "drm_kms_helper_poll_init" },
	{ 0x80c2ab58, "drm_kms_helper_poll_disable" },
	{ 0x16d907fa, "drm_property_create_enum" },
	{ 0x30dfdf56, "drm_property_create_range" },
	{ 0x7e2ee76f, "drm_property_create" },
	{ 0x4ef11d6, "drm_helper_hpd_irq_event" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa8fa052c, "drm_mode_object_find" },
	{ 0xb75229b8, "drm_mode_object_put" },
	{ 0x439a968e, "drm_modeset_acquire_init" },
	{ 0x84a9c88d, "drm_modeset_lock_all_ctx" },
	{ 0x2abe8033, "drm_modeset_drop_locks" },
	{ 0x1546729a, "drm_modeset_acquire_fini" },
	{ 0xb537c883, "drm_modeset_backoff" },
	{ 0x4b9ae8ce, "drm_ioctl" },
	{ 0xdcb764ad, "memset" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xd9ea9af7, "drm_file_get_master" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x4f7c39e7, "drm_master_put" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf60fdf39, "drm_atomic_state_alloc" },
	{ 0x377e4e16, "drm_atomic_get_crtc_state" },
	{ 0x826b760, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x134e369f, "drm_atomic_get_connector_state" },
	{ 0x85bba855, "drm_atomic_set_crtc_for_connector" },
	{ 0xa1e163, "drm_atomic_commit" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8871be35, "drm_modeset_lock_all" },
	{ 0x84e50f25, "drm_modeset_unlock_all" },
	{ 0xbcb3cad4, "__drm_dev_dbg" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x74328484, "drm_dev_alloc" },
	{ 0xee8f9163, "drm_dev_register" },
	{ 0x6c8a4896, "drm_dev_put" },
	{ 0x47209a8, "drm_dev_unregister" },
	{ 0x89c901b5, "drm_mode_config_reset" },
	{ 0x34b7609f, "drm_kms_helper_poll_enable" },
	{ 0x3be15446, "noop_llseek" },
	{ 0x400604c7, "drm_read" },
	{ 0x3a4ab5d4, "drm_poll" },
	{ 0x5611fa44, "drm_compat_ioctl" },
	{ 0xe0992499, "drm_open" },
	{ 0xef8c8ab0, "drm_release" },
	{ 0x4e466708, "drm_gem_prime_handle_to_fd" },
	{ 0x27aaca, "drm_gem_prime_fd_to_handle" },
	{ 0xa916b694, "strnlen" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x1d1196, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x9ee9c513, "drm_crtc_cleanup" },
	{ 0xcc1811c6, "drm_plane_cleanup" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2dd031c5, "__drm_atomic_helper_plane_destroy_state" },
	{ 0x6fdc71ef, "drm_property_blob_put" },
	{ 0xda320947, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0x678e890c, "drm_property_blob_get" },
	{ 0x47840e8b, "drm_atomic_helper_plane_reset" },
	{ 0x37a0cba, "kfree" },
	{ 0xc457d5c0, "drm_universal_plane_init" },
	{ 0x4a284f4e, "drm_plane_create_rotation_property" },
	{ 0x4d7bfec, "drm_object_attach_property" },
	{ 0xe7362ac3, "drm_plane_create_alpha_property" },
	{ 0xdd8e1f1c, "drm_plane_create_blend_mode_property" },
	{ 0xf05caf47, "drm_property_replace_blob" },
	{ 0xe48e781e, "drm_property_lookup_blob" },
	{ 0xdc2f1815, "drm_atomic_helper_crtc_reset" },
	{ 0x2c111a9d, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xd3846ffa, "drm_crtc_init_with_planes" },
	{ 0x679bc734, "drm_crtc_enable_color_mgmt" },
	{ 0x9c1a735d, "drm_mode_crtc_set_gamma_size" },
	{ 0xac96a05a, "drm_atomic_helper_update_plane" },
	{ 0x7e13e04f, "drm_atomic_helper_disable_plane" },
	{ 0x138e0585, "drm_atomic_helper_set_config" },
	{ 0x73eedbd3, "drm_atomic_helper_page_flip" },
	{ 0xe933f08b, "drm_encoder_cleanup" },
	{ 0xcb908246, "drm_encoder_init" },
	{ 0xd8fbea71, "drm_connector_attach_encoder" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x62e15a70, "drm_connector_atomic_hdr_metadata_equal" },
	{ 0x48bc6992, "drm_connector_update_edid_property" },
	{ 0x127e77d3, "drm_mode_create" },
	{ 0x3892b24, "drm_mode_probed_add" },
	{ 0xcd795e4c, "drm_connector_unregister" },
	{ 0xc16a826c, "drm_connector_cleanup" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77ece7c6, "drm_connector_init" },
	{ 0x35e4a580, "drm_mode_create_dp_colorspace_property" },
	{ 0x2cb725c3, "drm_connector_attach_hdr_output_metadata_property" },
	{ 0xe0cce196, "drm_connector_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x448e6d53, "drm_mode_create_hdmi_colorspace_property" },
	{ 0x3d07c8ae, "drm_connector_attach_colorspace_property" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xda4bbc8, "drm_edid_override_connector_update" },
	{ 0xef196cb2, "drm_connector_attach_vrr_capable_property" },
	{ 0x57071d6c, "drm_connector_set_vrr_capable_property" },
	{ 0xfdbdafb9, "drm_object_property_set_value" },
	{ 0x14f85d9e, "drm_atomic_helper_connector_reset" },
	{ 0xfca21fc5, "drm_helper_probe_single_connector_modes" },
	{ 0x81466e99, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x10ba37ac, "drm_atomic_helper_connector_destroy_state" },
	{ 0xd0d5103e, "drm_gem_object_release" },
	{ 0x45a50ccf, "drm_gem_private_object_init" },
	{ 0x3f4fe564, "drm_gem_prime_import" },
	{ 0xe447be2e, "drm_gem_object_lookup" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc7910e38, "drm_vma_offset_lookup_locked" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x24cf437a, "drm_vma_node_is_allowed" },
	{ 0x786d729d, "drm_gem_vm_open" },
	{ 0x477035d4, "drm_gem_vm_close" },
	{ 0xf0750a91, "drm_gem_prime_export" },
	{ 0x77c83c74, "drm_gem_handle_create" },
	{ 0x78d49cdc, "drm_framebuffer_cleanup" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x4800c40b, "drm_helper_mode_fill_fb_struct" },
	{ 0xc5b787a3, "drm_framebuffer_init" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7b92e3b7, "drm_crtc_send_vblank_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6aaf641b, "drm_atomic_state_init" },
	{ 0x57cb0bf3, "drm_atomic_state_default_clear" },
	{ 0x2d18cbc3, "drm_atomic_state_default_release" },
	{ 0x61f66914, "drm_atomic_add_affected_planes" },
	{ 0x9fc1867f, "drm_atomic_helper_check" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xdedef938, "drm_atomic_helper_swap_state" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x197d5b60, "dma_fence_default_wait" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xedded057, "ww_mutex_lock" },
	{ 0x9ca88a45, "dma_resv_reserve_fences" },
	{ 0x59c2bc2e, "dma_resv_add_fence" },
	{ 0x2ab86836, "ww_mutex_unlock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xec860605, "drm_atomic_add_affected_connectors" },
	{ 0xc0d0ff5a, "drm_atomic_get_plane_state" },
	{ 0xca44e368, "drm_atomic_set_crtc_for_plane" },
	{ 0x9b953e77, "drm_atomic_set_fb_for_plane" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x1000e51, "schedule" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa6257a2f, "complete" },
	{ 0xcf2a6966, "up" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9ca73502, "kthread_stop" },
	{ 0x218ecd3c, "kthread_create_on_node" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x77988496, "vmalloc_to_page" },
	{ 0x5d7ec035, "wake_up_process" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x54e43641, "drm_gem_create_mmap_offset" },
	{ 0x17d95dcf, "vmf_insert_pfn" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x7273a006, "drm_gem_mmap_obj" },
	{ 0x8e227968, "drm_prime_pages_to_sg" },
	{ 0xedc03953, "iounmap" },
	{ 0x8f78ebd3, "vm_insert_page" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x7fc4431c, "drm_prime_gem_destroy" },
	{ 0x179f4c6e, "fput" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0xdfb4478c, "pin_user_pages" },
	{ 0x53b954a2, "up_read" },
	{ 0x7213f069, "unpin_user_page" },
	{ 0x6b433c17, "set_page_dirty_lock" },
	{ 0x9636fd41, "vmap" },
	{ 0x94961283, "vunmap" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xc0416e1d, "sync_file_create" },
	{ 0x6e25df8d, "fd_install" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x7155bcf8, "sync_file_get_fence" },
	{ 0x9a40f6c8, "param_ops_bool" },
	{ 0x50a8428a, "module_layout" },
};

MODULE_INFO(depends, "nvidia-modeset");

MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc02i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc06sc80i00*");

MODULE_INFO(srcversion, "F06BFF878665AE5C207C73D");
