#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvKmsKapiGetFunctionsTable, "", "");

SYMBOL_CRC(nvKmsKapiGetFunctionsTable, 0x6238b2b0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdcb764ad, "memset" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xcf2a6966, "up" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6626afca, "down" },
	{ 0xce807a25, "up_write" },
	{ 0x57bc19d2, "down_write" },
	{ 0x99aa5736, "single_release" },
	{ 0xbb2a2930, "single_open" },
	{ 0x23a98e6d, "__seq_puts" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xfe20e72c, "seq_read" },
	{ 0x53b954a2, "up_read" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x37a0cba, "kfree" },
	{ 0x93b10e5, "freezing_slow_path" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x668b19a1, "down_read" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe56738, "proc_remove" },
	{ 0xb77500b2, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0x8c6165cc, "filp_open" },
	{ 0xeb17af60, "kernel_read" },
	{ 0x9484640c, "filp_close" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9166fada, "strncpy" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x1000e51, "schedule" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x148653, "vsnprintf" },
	{ 0x1fec1128, "nvidia_get_rm_ops" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x8697920c, "cdev_init" },
	{ 0x1a15169c, "cdev_add" },
	{ 0x1adbe975, "proc_mkdir_mode" },
	{ 0xcdc57154, "proc_create_data" },
	{ 0xe2964344, "__wake_up" },
	{ 0x83295e08, "kmalloc_caches" },
	{ 0x1f382a2f, "__kmalloc_cache_noprof" },
	{ 0xae66d7cc, "fget" },
	{ 0x179f4c6e, "fput" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1a6db0c, "backlight_device_register" },
	{ 0x3ded94cb, "backlight_device_unregister" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x62cb14b2, "seq_lseek" },
	{ 0x49e96e99, "param_ops_charp" },
	{ 0x9a40f6c8, "param_ops_bool" },
	{ 0xf0b02590, "param_ops_int" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa6257a2f, "complete" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9ca73502, "kthread_stop" },
	{ 0x218ecd3c, "kthread_create_on_node" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x77988496, "vmalloc_to_page" },
	{ 0x5d7ec035, "wake_up_process" },
	{ 0x50a8428a, "module_layout" },
};

MODULE_INFO(depends, "nvidia,video");


MODULE_INFO(srcversion, "314441231560CD136E93F65");
