#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x186fbbc6, "iommu_dev_enable_feature" },
	{ 0x2d978f47, "iommu_dev_disable_feature" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa9f31458, "iommu_sva_bind_device" },
	{ 0xfc013780, "mmput" },
	{ 0xb74fa85c, "iommu_sva_unbind_device" },
	{ 0xff711417, "iommu_sva_get_pasid" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdcb764ad, "memset" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9f984513, "strrchr" },
	{ 0x92997ed8, "_printk" },
	{ 0x5d784826, "nvUvmInterfaceCslIncrementIv" },
	{ 0x2c22b46f, "nvUvmInterfaceCslEncrypt" },
	{ 0x9ee2976a, "nvUvmInterfaceCslDecrypt" },
	{ 0x7bfbe5eb, "nvUvmInterfaceCslLogEncryption" },
	{ 0x1b556dea, "nvUvmInterfaceCslQueryMessagePool" },
	{ 0xd15a3e1c, "nvUvmInterfaceCslRotateIv" },
	{ 0x9986806e, "param_ops_ulong" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x53b954a2, "up_read" },
	{ 0xc1f02f56, "nvUvmInterfaceCslSign" },
	{ 0x4829a47e, "memcpy" },
	{ 0x61ce71f9, "__task_pid_nr_ns" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x1000e51, "schedule" },
	{ 0xf0b02590, "param_ops_int" },
	{ 0x14ed89d3, "get_mem_cgroup_from_mm" },
	{ 0xbc5d9bc0, "int_active_memcg" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa6257a2f, "complete" },
	{ 0xcf2a6966, "up" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9ca73502, "kthread_stop" },
	{ 0x218ecd3c, "kthread_create_on_node" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x77988496, "vmalloc_to_page" },
	{ 0x5d7ec035, "wake_up_process" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0x6167381d, "node_states" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb77500b2, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7213f069, "unpin_user_page" },
	{ 0x706aba46, "address_space_init_once" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x8697920c, "cdev_init" },
	{ 0x1a15169c, "cdev_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x179f4c6e, "fput" },
	{ 0xae66d7cc, "fget" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7e8779ba, "unmap_mapping_range" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdfb4478c, "pin_user_pages" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9c9d660f, "kmem_cache_destroy" },
	{ 0x5f82d64a, "find_vma" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x9636fd41, "vmap" },
	{ 0x43e34fb, "set_page_dirty" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x37a58f8e, "kmem_cache_free" },
	{ 0x94961283, "vunmap" },
	{ 0x13597143, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x902a5b75, "kmem_cache_create" },
	{ 0xc3385e21, "nvUvmInterfaceSessionDestroy" },
	{ 0x84ccfdfb, "nvUvmInterfaceDeRegisterUvmOps" },
	{ 0xbd9bc90d, "nvUvmInterfaceSessionCreate" },
	{ 0x550cc5f7, "nvUvmInterfaceRegisterUvmCallbacks" },
	{ 0x99aa5736, "single_release" },
	{ 0xbb2a2930, "single_open" },
	{ 0x1adbe975, "proc_mkdir_mode" },
	{ 0x86d5be65, "proc_symlink" },
	{ 0xf7419bbb, "nvUvmInterfaceP2pObjectCreate" },
	{ 0xaa90502, "nvUvmInterfaceGetP2PCaps" },
	{ 0x646ce71a, "seq_printf" },
	{ 0xcdc57154, "proc_create_data" },
	{ 0xce96a1a4, "nvUvmInterfaceP2pObjectDestroy" },
	{ 0xe56738, "proc_remove" },
	{ 0xa62da25a, "nvUvmInterfaceAddressSpaceDestroy" },
	{ 0x78ba08fc, "nvUvmInterfaceDeviceDestroy" },
	{ 0x4bc0e431, "nvUvmInterfaceUnsetPageDirectory" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xeb1a59ab, "nvUvmInterfaceQueryCopyEnginesCaps" },
	{ 0x19f28917, "nvUvmInterfaceServiceDeviceInterruptsRM" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x74e10243, "nvUvmInterfaceGetGpuInfo" },
	{ 0x566c5895, "nvUvmInterfaceRegisterGpu" },
	{ 0xb32b4432, "nvUvmInterfaceDeviceCreate" },
	{ 0xaa9c1109, "nvUvmInterfaceUnregisterGpu" },
	{ 0xa916b694, "strnlen" },
	{ 0x9a138db2, "nvUvmInterfaceQueryCaps" },
	{ 0xe701a2bb, "nvUvmInterfaceAddressSpaceCreate" },
	{ 0xac432e9f, "nvUvmInterfaceGetFbInfo" },
	{ 0xa452244c, "nvUvmInterfaceGetEccInfo" },
	{ 0x534759f3, "nvUvmInterfaceSetPageDirectory" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x702d1c3e, "dma_alloc_attrs" },
	{ 0x94ff9d2f, "dma_free_attrs" },
	{ 0xa674640a, "dma_map_page_attrs" },
	{ 0xf3da2e87, "dma_unmap_page_attrs" },
	{ 0xfe20e72c, "seq_read" },
	{ 0x62cb14b2, "seq_lseek" },
	{ 0x49e96e99, "param_ops_charp" },
	{ 0x6626afca, "down" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xa5f7cf37, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb000909e, "nvUvmInterfaceDupAddressSpace" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x7a2a9fc7, "pin_user_pages_remote" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd245556f, "__mmu_notifier_register" },
	{ 0x84296b12, "__mmdrop" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x8f78ebd3, "vm_insert_page" },
	{ 0x8a168e12, "__free_pages" },
	{ 0xbe7c30bb, "alloc_pages_noprof" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x36e57696, "nvUvmInterfacePagingChannelsUnmap" },
	{ 0xd5057c22, "nvUvmInterfaceMemoryFree" },
	{ 0x6fcca1a3, "nvUvmInterfacePagingChannelsMap" },
	{ 0x55b4744b, "nvUvmInterfaceMemoryCpuMap" },
	{ 0x4d7a107f, "nvUvmInterfaceMemoryCpuUnMap" },
	{ 0x246cbff7, "nvUvmInterfaceDupAllocation" },
	{ 0x7f03ef2d, "nvUvmInterfaceMemoryAllocFB" },
	{ 0x698f6a77, "nvUvmInterfaceMemoryAllocSys" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x942fa6aa, "nvUvmInterfacePagingChannelPushStream" },
	{ 0xcd40176d, "nvUvmInterfaceChannelDestroy" },
	{ 0x892a63e7, "nvUvmInterfacePagingChannelDestroy" },
	{ 0x7f450da8, "nvUvmInterfaceDeinitCslContext" },
	{ 0xe45112d9, "nvUvmInterfaceTsgDestroy" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x71de450f, "nvUvmInterfaceTsgAllocate" },
	{ 0xb783c89d, "nvUvmInterfaceChannelAllocate" },
	{ 0xb759d51b, "nvUvmInterfaceCslInitContext" },
	{ 0x89e0959d, "nvUvmInterfacePagingChannelAllocate" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xee3210e8, "param_ops_uint" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x7c173634, "__bitmap_complement" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x67d1c75a, "find_vma_intersection" },
	{ 0x618911fc, "numa_node" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x6b27729b, "radix_tree_gang_lookup" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xd9b60cd6, "nvUvmInterfaceFlushReplayableFaultBuffer" },
	{ 0xb7c0f443, "sort" },
	{ 0xd1600093, "nvUvmInterfaceOwnPageFaultIntr" },
	{ 0x1ebf5deb, "nvUvmInterfaceDestroyFaultInfo" },
	{ 0x1138c8e8, "nvUvmInterfaceInitFaultInfo" },
	{ 0x69eb8138, "nvUvmInterfaceReportNonReplayableFault" },
	{ 0x5b7e7949, "nvUvmInterfaceHasPendingNonReplayableFaults" },
	{ 0xe49893bd, "nvUvmInterfaceGetNonReplayableFaults" },
	{ 0x68da4fcb, "nvUvmInterfaceEnableAccessCntr" },
	{ 0x7b23607e, "nvUvmInterfaceDisableAccessCntr" },
	{ 0x64a6a01, "nvUvmInterfaceDestroyAccessCntrInfo" },
	{ 0xec03a88a, "nvUvmInterfaceInitAccessCntrInfo" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x148653, "vsnprintf" },
	{ 0x83295e08, "kmalloc_caches" },
	{ 0x1f382a2f, "__kmalloc_cache_noprof" },
	{ 0xece784c2, "rb_first" },
	{ 0xbef3c5d7, "nvUvmInterfaceTogglePrefetchFaults" },
	{ 0x4ea5d10, "ksize" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa23e07e, "__folio_put" },
	{ 0xe24f7bb9, "__put_devmap_managed_folio_refs" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x69049cd2, "radix_tree_replace_slot" },
	{ 0x43c0fe32, "__alloc_pages_noprof" },
	{ 0x9166fada, "strncpy" },
	{ 0x4ca663e, "nvUvmInterfacePmaAllocPages" },
	{ 0xffab807, "nvUvmInterfacePmaFreePages" },
	{ 0x30aeb11d, "nvUvmInterfacePmaUnregisterEvictionCallbacks" },
	{ 0xccdb149b, "nvUvmInterfacePmaPinPages" },
	{ 0xf1e046cc, "panic" },
	{ 0x525172f0, "nvUvmInterfaceGetPmaObject" },
	{ 0x90df6793, "nvUvmInterfacePmaRegisterEvictionCallbacks" },
	{ 0x4dcd5712, "handle_mm_fault" },
	{ 0xe46a34e9, "get_user_pages_remote" },
	{ 0xc38cfd34, "__folio_lock" },
	{ 0x6d28cd66, "migrate_vma_setup" },
	{ 0x48614a4, "migrate_vma_pages" },
	{ 0x963ff935, "unlock_page" },
	{ 0x73af8a50, "migrate_vma_finalize" },
	{ 0x51f732db, "nvUvmInterfaceFreeDupedHandle" },
	{ 0x203a44d1, "nvUvmInterfaceGetExternalAllocPtes" },
	{ 0x710977d6, "nvUvmInterfaceGetChannelResourcePtes" },
	{ 0xd18cb4c2, "nvUvmInterfaceDupMemory" },
	{ 0x27491fbc, "nvUvmInterfaceStopChannel" },
	{ 0x43e66ecb, "nvUvmInterfaceReleaseChannel" },
	{ 0x9ad73756, "nvUvmInterfaceRetainChannel" },
	{ 0xf82d8f8b, "nvUvmInterfaceBindChannelResources" },
	{ 0x9a40f6c8, "param_ops_bool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3b644591, "__bitmap_shift_left" },
	{ 0xbaa17be5, "mmu_interval_notifier_insert" },
	{ 0x3f8f24f9, "mmu_interval_read_begin" },
	{ 0x41cbbd42, "hmm_range_fault" },
	{ 0xf76be31a, "mmu_interval_notifier_remove" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50a8428a, "module_layout" },
};

MODULE_INFO(depends, "nvidia");


MODULE_INFO(srcversion, "AA7F47CEFF236DE3EE675B6");
